org.apache.lucene.search.similarities

## Class AfterEffectB

- java.lang.Object
- - org.apache.lucene.search.similarities.AfterEffect
  - - org.apache.lucene.search.similarities.AfterEffectB

-     public class AfterEffectB
      extends AfterEffect

  Model of the information gain based on the ratio of two Bernoulli processes.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.similarities.AfterEffect

      `AfterEffect.NoAfterEffect`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AfterEffectB()` Sole constructor: parameter-free

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Explanation` | `explain(BasicStats stats, float tfn)` Returns an explanation for the score.
    `float` | `score(BasicStats stats, float tfn)` Returns the aftereffect score.
    `String` | `toString()` Subclasses must override this method to return the code of the after effect formula.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AfterEffectB

          public AfterEffectB()

      Sole constructor: parameter-free

  - ### Method Detail

    - #### score

          public final float score(BasicStats stats,
                                   float tfn)

      Description copied from class: `AfterEffect`
      Returns the aftereffect score.
      Specified by:
        `score` in class `AfterEffect`

    - #### explain

          public final Explanation explain(BasicStats stats,
                                           float tfn)

      Description copied from class: `AfterEffect`
      Returns an explanation for the score.
      Specified by:
        `explain` in class `AfterEffect`

    - #### toString

          public String toString()

      Description copied from class: `AfterEffect`
      Subclasses must override this method to return the code of the after effect formula. Refer to the original paper for the list.
      Specified by:
        `toString` in class `AfterEffect`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.